The Macromedia website currently contains multiple documents regarding CFMX support for Verity on the Linux platform, and many of those documents conflict with eachother. I've confirmed with QA the actual supported configurations, and we'll work to get the official documentation cleared up where possible.


The confirmed versions of Red Hat Linux where Verity in CFMX 6.1 is supported are:



  • Red Hat Linux 7.2
  • Red Hat Enterprise Linux 2.1 AS/ES


The confirmed versions of Red Hat Linux where Verity in CFMX 6.1 is NOT supported are:

  • Red Hat Linux 7.3, 8, and 9
  • Red Hat Enterprise Linux 3.0


For those looking for full-text indexing/searching options, refer to two articles by Aaron Johnson in July and August 2003 editions of CFDJ. Aaron does a great job at explaining how the Apache Jakarta project called Lucene can be integrated into CFMX as a replacement for Verity. See also Aaron's recent blog for Indexing Database Content with Lucene & ColdFusion


Summary of Conflicting Verity Support Information


1) Not accurate (Asterisks ambiguous and confusing)
http://macromedia.com/software/coldfusion/productinfo/systemreqs/
Red Hat Linux 7.2, 7.3, 8.0, 9, AS & ES 2.1, AS & ES 3.0**
SuSE Linux 7.2, 7.3, or 8.x
**Verity does not support these OS's


2) Not accurate and not up to date (Lists 7.3 as supported, RHEL 3.0 not listed)
http://macromedia.com/software/coldfusion/productinfo/systemreqs/cfmx61.pdf
RH 7.2
RH 7.3
RH 8 *+
RH 9 *+
*+ Verity Not Supported


3) Main doc not up to date (Footnote for RHEL 3.0)
http://livedocs.macromedia.com/coldfusion/6.1/htmldocs/intro6.htm
Red Hat Linux 7.2, 7.3, 8.0, 9
RedHat Linux AS 2.1
Install the latest patches (including the kernel and those listed in Configuring Your System)
Verity does not support RedHat Linux 7.3, 8.0, and 9.


4) Not up to date (RHEL 3.0 not listed)
http://www.macromedia.com/support/coldfusion/releasenotes/mx/mx61_known_problems.html
Although the ColdFusion MX 6.1 supports RedHat Linux 7.3, 8.0, and 9, the Linux installation must have the corresponding RedHat libc compatibility libraries to run ColdFusion MX on these platforms. At the time of this release, these packages are as follows:
RedHat-9 for i386 compat-libstdc++-7.3-2.96.118.i386.rpm
RedHat-8.0 for i386 compat-libstdc++-7.3-2.96.110.i386.rpm
RedHat-7.3 for i386 compat-libstdc++-6.2-2.9.0.16.i386.rpm
Users must have a libc of version 6.2-2.x or later for RedHat 7.3, or 7.3-2.x for RedHat 8.0 or 9.
This allows users of these Linux operating systems to use C++ CFXs.
Verity is not supported on these platforms.